# Demo Projects for libusbsio

## Introduction

This repository contains demo projects which utilizes the `USBSIO` functionality
of the MCU-Link/MCU-Link Pro as well as some LPC-Link2 debug probes.

The host library `libusbsio` is provided by NXP, modifications are made for use
with standard Linux environment.

## How to build

```bash
mkdir build && cd build
cmake ..
make
```

The binary files will be located at `build/demos/${DEMO_NAME}`

## Demo List

* i2cdetect: Similar to Linux `i2cdetect` utility, interrogates the I2C bus for devices.
* *Coming soon...*

## Disclaimer

The `License.txt` file contains NXP's original license terms, any other files not covered by the licenses above 
shall subject to the MIT license, which attached in the `LICENSE` file.